/*
* ============================================================================
*  Name     : CSTTConnectorEvents
*  Part of  : SymTorrentTest
*  Created  : 30.05.2006 by Zsolt Pszota 
*  Description:
*     
*  Version  :
*  Copyright: 
* ============================================================================
*/

#ifndef STTCONNECTOREVENTS_H
#define STTCONNECTOREVENTS_H

// INCLUDES
#include <e32base.h>

// CONSTANTS

// FORWARD DECLARATIONS

// CLASS DECLARATION

enum TConnectorEvents
{
	EErrConnectionFailed = 1,
	//EErrSendInitializationFailed,
	EErrDisconnected,
	ESucConnectionSucceed,
	ESucConnectedAndInitialized,
	//ESucSendInitializationSucceed,
	//EWaitingForNextConnection,
	ERecievedMessage,
	EUnknown
};

/**
*  CSTTConnector class.
* 
*/
class MSTTConnectorEvents
{
    public: // New functions
		virtual void ReportEvent(TConnectorEvents aEvent) = 0; 
		virtual void ReportMessage(const TDesC& aMsg) = 0; 
};

#endif

// End of File
