/*****************************************************************************
 * Copyright (C) 2006 Imre Kelnyi
 *-------------------------------------------------------------------
 * This file is part of SymTorrent
 *
 * SymTorrent is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * SymTorrent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Symella; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *****************************************************************************/
 
/* ====================================================================
 * File: SymTorrentLauncherApplication.cpp
 * Created: 06/11/06
 * ==================================================================== */

#include "SymTorrentLauncherDocument.h"
#include "SymTorrentLauncherApplication.h"

// UID for the application, this should correspond to the uid defined in the mmp file
static const TUid KUidSymTorrentLauncherApp = {0x0ADA0E36};

CApaDocument* CSymTorrentLauncherApplication::CreateDocumentL()
    {  
    // Create an SymTorrentLauncher document, and return a pointer to it
    CApaDocument* document = CSymTorrentLauncherDocument::NewL(*this);
    return document;
    }

TUid CSymTorrentLauncherApplication::AppDllUid() const
    {
    // Return the UID for the SymTorrentLauncher application
    return KUidSymTorrentLauncherApp;
    }

