/*****************************************************************************
 * Copyright (C) 2006 Pter Ekler, Zsolt Pszota
 * ---------------------------------------------------------------------------
 * This file is part of SymTracker
 *
 * SymTracker is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * SymTracker is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SymTracker; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *****************************************************************************/

#ifndef STTCONNECTOREVENTS_H
#define STTCONNECTOREVENTS_H

// INCLUDES
#include <e32base.h>

// CONSTANTS

// FORWARD DECLARATIONS

// CLASS DECLARATION

enum TConnectorEvents
{
	EErrConnectionFailed = 1,
	//EErrSendInitializationFailed,
	EErrDisconnected,
	ESucConnectionSucceed,
	ESucConnectedAndInitialized,
	//ESucSendInitializationSucceed,
	//EWaitingForNextConnection,
	ERecievedMessage,
	EUnknown
};

/**
*  CSTTConnector class.
* 
*/
class MSTTConnectorEvents
{
    public: // New functions
		virtual void ReportEvent(TConnectorEvents aEvent) = 0; 
		virtual void ReportMessage(const TDesC& aMsg) = 0; 
};

#endif

// End of File
