@call set_environment_variables.bat

@echo ****************
@echo * Building SIS *
@echo ****************
@echo.

@if not defined BUILDTARGET set BUILDTARGET=armv5
@if not defined BUILDTYPE set BUILDTYPE=urel

@del GridTorrent.exe 2> nul
@del SymTorrentEngine.dll 2> nul
@del SymTracker.dll 2> nul
@del SymTorrentMakerDll.dll 2> nul
@del SymTorrent_reg.rsc 2> nul
@del SymTorrent.rsc 2> nul
@del symtorrent_icon.mif 2> nul
@del SymTorrent.mif 2> nul
@del SymTracker.mif 2> nul
@del SymTrackerState.mif 2> nul

@echo EXE
@copy %SYMBIAN_SDK%\Epoc32\release\%BUILDTARGET%\%BUILDTYPE%\GridTorrent.exe .
@echo.
@echo ENGINE DLL
@copy %SYMBIAN_SDK%\Epoc32\release\%BUILDTARGET%\%BUILDTYPE%\SymTorrentEngine.dll .
@echo.
@echo TRACKER DLL
@copy %SYMBIAN_SDK%\Epoc32\release\%BUILDTARGET%\%BUILDTYPE%\SymTracker.dll .
@echo.
@echo MAKER DLL
@copy %SYMBIAN_SDK%\Epoc32\release\%BUILDTARGET%\%BUILDTYPE%\SymTorrentMakerDll.dll .
@echo.
@echo reg RSC
@copy %SYMBIAN_SDK%\Epoc32\data\z\private\10003a3f\import\apps\GridTorrent_reg.rsc .
@echo.
@echo RSC
@copy %SYMBIAN_SDK%\Epoc32\data\z\Resource\apps\GridTorrent.rsc .
@echo.
@echo SymTracker RSC
@copy %SYMBIAN_SDK%\Epoc32\data\z\Resource\apps\SymTracker.rsc .
@echo.
@echo ICON MIF
@copy %SYMBIAN_SDK%\Epoc32\data\z\Resource\Apps\gridtorrent_icon.mif .
@echo.
@echo MIF
@copy %SYMBIAN_SDK%\Epoc32\data\z\Resource\Apps\GridTorrent.mif .
@echo.
@echo TRACK MIF
@copy %SYMBIAN_SDK%\Epoc32\data\z\Resource\Apps\SymTracker.mif .
@echo.
@echo TRACK STAT MIF
@copy %SYMBIAN_SDK%\Epoc32\data\z\Resource\Apps\SymTrackerState.mif .
@echo.

@echo makesis
@makesis GridTorrent.pkg
@echo.

@if %ERRORLEVEL%==0 goto :noerror
@echo ********
@echo * FAIL *
@echo ********
@goto :noerror_end
:noerror

@echo signsis
@signsis.exe GridTorrent.sis GridTorrent.sisx symtorrent2008-10-11.cer symtorrent2008-10-11.key amorg
@echo.

@echo ***********
@echo * SUCCESS *
@echo ***********
:noerror_end

@del SymTorrent.exe 2> nul
@del SymTorrentEngine.dll 2> nul
@del SymTracker.dll 2> nul
@del SymTorrentMakerDll.dll 2> nul
@del SymTorrent_reg.rsc 2> nul
@del SymTorrent.rsc 2> nul
@del symtorrent_icon.mif 2> nul
@del SymTorrent.mif 2> nul
@del SymTracker.mif 2> nul
@del SymTrackerState.mif 2> nul

@if "%1"=="NOWAIT" goto :skip_wait
@pause
:skip_wait
