@call set_environment_variables.bat

@echo **************************
@echo * Building KiNetwork SIS *
@echo **************************
@echo.

@if not defined BUILDTARGET set BUILDTARGET=armv5
@if not defined BUILDTYPE set BUILDTYPE=urel


@del KiNetwork.dll 2> nul

@echo KINETWORK DLL
@copy %SYMBIAN_SDK%\Epoc32\release\%BUILDTARGET%\%BUILDTYPE%\KiNetwork.dll .

@echo makesis
@makesis KiNetwork.pkg
@echo.

@if %ERRORLEVEL%==0 goto :noerror
@echo ********
@echo * FAIL *
@echo ********
@goto :noerror_end
:noerror

@echo signsis
@signsis.exe KiNetwork.sis KiNetwork.sisx symtorrent2008-10-11.cer symtorrent2008-10-11.key amorg
@echo.

@del KiNetwork.sis

@echo ***********
@echo * SUCCESS *
@echo ***********
:noerror_end

@del LibBencode.dll 2> nul

@if "%1"=="NOWAIT" goto :skip_wait
@pause
:skip_wait