@call set_environment_variables.bat

@echo ****************
@echo * Building SIS *
@echo ****************
@echo.

@if not defined BUILDTARGET set BUILDTARGET=armv5
@if not defined BUILDTYPE set BUILDTYPE=urel

@del SymTorrent.exe 2> nul
@del SymTorrentEngine.dll 2> nul
@del SymTorrent_reg.rsc 2> nul
@del SymTorrent.rsc 2> nul
@del symtorrent_icon.mif 2> nul
@del SymTorrent.mif 2> nul
@del SymTracker.mif 2> nul
@del SymTrackerState.mif 2> nul

@echo EXE
@copy %SYMBIAN_SDK%\Epoc32\release\%BUILDTARGET%\%BUILDTYPE%\SymTorrent.exe .
@echo.
@echo ENGINE DLL
@copy %SYMBIAN_SDK%\Epoc32\release\%BUILDTARGET%\%BUILDTYPE%\SymTorrentEngine.dll .
@echo.
@echo reg RSC
@copy %SYMBIAN_SDK%\Epoc32\data\z\private\10003a3f\import\apps\SymTorrent_reg.rsc .
@echo.
@echo RSC
@copy %SYMBIAN_SDK%\Epoc32\data\z\Resource\apps\SymTorrent.rsc .
@echo.
@echo ICON MIF
@copy %SYMBIAN_SDK%\Epoc32\data\z\Resource\Apps\symtorrent_icon.mif .
@echo.
@echo MIF
@copy %SYMBIAN_SDK%\Epoc32\data\z\Resource\Apps\SymTorrent.mif .
@echo.
@echo Launcher EXE
@copy %SYMBIAN_SDK%\Epoc32\release\%BUILDTARGET%\%BUILDTYPE%\SymTorrentLaunch.exe .
@echo.
@echo Launcher REG RSC
@copy %SYMBIAN_SDK%\Epoc32\data\z\private\10003a3f\import\apps\SymTorrentLaunch_reg.rsc .
@echo.
@echo Launcher RSC
@copy %SYMBIAN_SDK%\Epoc32\data\z\Resource\apps\SymTorrentLaunch.rsc .
@echo.


@echo makesis
@makesis SymTorrent_S60-3rd_no_tracker.pkg
@echo.

@if %ERRORLEVEL%==0 goto :noerror
@echo ********
@echo * FAIL *
@echo ********
@goto :noerror_end
:noerror

@echo signsis
@signsis.exe SymTorrent_S60-3rd_no_tracker.sis SymTorrent_S60-3rd_no_tracker_SIGNED.sis SymTorrent2008-10-11.cer SymTorrent2008-10-11.key amorg
@echo.

@echo ***********
@echo * SUCCESS *
@echo ***********
:noerror_end

@del SymTorrent.exe 2> nul
@del SymTorrentEngine.dll 2> nul
@del SymTorrent_reg.rsc 2> nul
@del SymTorrent.rsc 2> nul
@del symtorrent_icon.mif 2> nul
@del SymTorrent.mif 2> nul
@del SymTorrentLaunch.exe 2> nul
@del SymTorrentLaunch_reg.rsc 2> nul
@del SymTorrentaunch.rsc 2> nul

@if "%1"=="NOWAIT" goto :skip_wait
@pause
:skip_wait
