/*****************************************************************************
 * Copyright (C) 2006-2007 Imre Kelnyi
 *-------------------------------------------------------------------
 * This file is part of SymTorrent
 *
 * SymTorrent is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * SymTorrent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Symella; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *****************************************************************************/

#ifndef __STDEFS_H__
#define __STDEFS_H__

#define SYMTORRENT_VERSION 1.40
#define SYMTORRENT_VERSION_LIT _L("1.40")
#define SYMTORRENT_PEER_ID_VERSION _L8("-ST0140-")

#ifdef EKA2
	#define SYMTORRENT_ENGINE_UID 0xA0001C44
#else
	#define SYMTORRENT_ENGINE_UID 0x20008709
#endif

//#define USE_DHT // enables trackerless torrents and DHT announcing

#define STLOG CKiLogManager::Instance()->GetLoggerL(TUid::Uid(SYMTORRENT_ENGINE_UID))

#endif
