/*****************************************************************************
 * Copyright (C) 2006 Imre Kelnyi
 *-------------------------------------------------------------------
 * This file is part of SymTorrent
 *
 * SymTorrent is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * SymTorrent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Symella; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *****************************************************************************/
 
#ifndef __TORRENT_RECOGNIZER_H__
#define __TORRENT_RECOGNIZER_H__

#include <apmrec.h>

const TUid KUidRecognizer={0x1028190C};

_LIT8(KTorrentType,"application/x-bittorrent");

_LIT(KTorrentExtension,".torrent");

class CTorrentRecognizer : public CApaDataRecognizerType
{
public:
	CTorrentRecognizer();

	TUint PreferredBufSize();
	TDataType SupportedDataTypeL(TInt aIndex) const;

#ifdef EKA2
    static CApaDataRecognizerType* CreateRecognizerL();
#endif

private:
	void DoRecognizeL(const TDesC &aName,const TDesC8 &aBuffer);
};

#endif
